Package org.pushingpixels.lafwidget.tree.dnd

# Interface StringTreeDnDListener

All Superinterfaces:
  `EventListener`

public interface StringTreeDnDListener extends EventListener
StringTreeDnDListener represents a listener that is informed when a String is about to be dropped into a node in a JTree.

## Method Summary

Modifier and Type
Method
Description
`void`
`drop(StringTreeDnDEvent anEvent)`
Invoked when the drop operation happens.
`void`
`mayDrop(StringTreeDnDEvent anEvent)`
Invoked to verify that aSourceString may be dropped into aTargetNode inside aTargetTree.

## Method Details

### mayDrop

void mayDrop(StringTreeDnDEvent anEvent) throws DnDVetoException
Invoked to verify that aSourceString may be dropped into aTargetNode inside aTargetTree.

Parameters:
  `anEvent` - a StringTreeDnDEvent containing information about the data being dropped.
Throws:
  `DnDVetoException` - if the drag and drop operation is not valid.

### drop

void drop(StringTreeDnDEvent anEvent) throws DnDVetoException
Invoked when the drop operation happens.

Parameters:
  `anEvent` - a StringTreeDnDEvent the event containing information about the Drag and Drop operation.
Throws:
  `DnDVetoException` - if the drag and drop operation is not valid.